<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
        id="custom.myparser"
        name="%PARSER_PLUGIN_NAME"
        version="3.0.0">

        <runtime>
        </runtime>

        <requires>
                <import plugin="org.eclipse.hyades.logging.adapter.config"/>
                <import plugin="org.eclipse.hyades.logging.parsers"/>
                <import plugin="org.eclipse.core.runtime.compatibility"/>
        </requires>

        <!-- =========================================================================== -->
        <!-- Simple Parser: Extension Point org.eclipse.hyades.logging.parsers.logParser -->
        <!-- =========================================================================== -->
        <extension
                point="org.eclipse.hyades.logging.parsers.logParser">
                <parser
                       name="Simple Parser V1.0"
                       icon="./icons/full/obj16/apache_error.gif"
                       description="A simple parser"
                       class="MyStaticParserExtension"
                       ui_name="Simple Parser V1.0"
                       id="MyParser">
                        <field
                                useBrowse="true"
                                defaultValue="%DEFAULT_FILE_NAME"
                                name="Enter the absolute path of the log file:"
                                helpContextId=""
                                tooltip="TOOLTIP"
                                id="file_path"
                                browseType="*.log">
                        </field>
                        <field
                                useBrowse="false"
                                defaultValue=""
                                name="Enter the version of the software that was used to generate the log file:"
                                helpContextId=""
                                tooltip="TOOLTIP"
                                id="%ID_FOR_VERSION">
                        </field>
                        <field
                                useBrowse="false"
                                defaultValue=""
                                name="Enter the release of the software that was used to generate the log file:"
                                helpContextId=""
                                tooltip="TOOLTIP"
                                id="%ID_FOR_RELEASE">
                        </field>
                        <field
                                useBrowse="false"
                                defaultValue="Default"
                                name="Log version"
                                helpContextId=""
                                tooltip="The version of the log."
                                ui_type="combobox"
                                id="version">
                        </field>
                        <!-- Default should be defined in case a match cannot be found  -->
                        <!-- Config file lookup based on the selected version above -->
                        <parserParameter
                                name="Default"
                                value="./MyParser/static.adapter">
                        </parserParameter>
                </parser>
        </extension>
        <extension
                point="org.eclipse.hyades.logging.adapter.config.staticParser">
                        <parserClassname
                                name="MyParser">
                        </parserClassname>
        </extension>

</plugin>